Skip to content

Provisioning API (1.2.36)

Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com

Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The webhooks endpoint lets you create, update, and delete webhooks programmatically.

Operations

WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

Operations

WhatsApp

he WhatsApp endpoint enables programmatic login to your WhatsApp account and retrieval of its details.

Operations

WhatsApp Flows

The WhatsApp flows endpoint lets you retrieve and manage WhatsApp Flows associated with the project.

Operations

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

Operations

WhatsApp Solutions

The WhatsApp solutions endpoint offers a way for you to manage your WhatsApp solutions.

Operations

WhatsApp Templates

The WhatsApp template endpoint offers a way for you to manage your WhatsApp templates that can be used with the Conversation API. The WhatsApp templates are a requirement to send the initial outbound messages in the WhatsApp API.

Operations

List all templates for a specific nameGA

Request

Returns a paginated list of templates for the specified project and name. If no page token is supplied then the first 50 templates are returned in alphabetical order.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

templateNamestringrequired

The unique name of the template.

Query
pageTokenstring

The page token if retrieving the next page from a previous query.

pageSizenumber[ 1 .. 1000 ]

The page size requested.

fieldMaskArray of strings(WhatsappTemplateDtoFieldMaskPathsEnum)

Field masks are a way for API callers to list the fields that a request should return.

Items Enum"whatsappId""state""name""language""category""rejectionCode""qualityScore""changes""changes.status""changes.allowCategoryChange"
templateAnalyticsDateRangestring(WhatsappTemplateAnalyticsDateRangesEnum)

The date range to retrieve template analytics for. Fallback to DAY if none is set.

Enum"DAY""MONTH""QUARTER""WEEK"
curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}?pageToken=string&pageSize=1&fieldMask=whatsappId&templateAnalyticsDateRange=DAY' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of templates with the same name

Bodyapplication/json
One of:
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

templatesArray of objects(WhatsappTemplateDto)required
templates[].​namestringrequired
templates[].​languagestringrequired
Enum"AF""AR""AZ""BG""BN""CA""CS""DA""DE""EL"
templates[].​categorystringrequired
Enum"AUTHENTICATION""MARKETING""UTILITY""UNRECOGNIZED"
templates[].​analyticsArray of objects(WhatsappTemplateAnalyticsDto)required

Template analytics.

templates[].​analytics[].​sentnumberrequired

Number of times template has been sent.

templates[].​analytics[].​deliverednumberrequired

Number of times template has been delivered.

templates[].​analytics[].​readnumberrequired

Number of times template has been read.

templates[].​analytics[].​startstringrequired

The UTC Date Time in ISO 8601 for start of date range.

templates[].​analytics[].​endstringrequired

The UTC Date Time in ISO 8601 for end of date range.

templates[].​analytics[].​buttonsArray of objects(WhatsappTemplateAnalyticsButtonsDto)required

Number of times buttons in the template has been clicked.

templates[].​analytics[].​buttons[].​typestringrequired

Type of button.

Enum"QUICK_REPLY""UNIQUE_URL""URL""UNRECOGNIZED"
templates[].​analytics[].​buttons[].​contentstringrequired

Content of the button.

templates[].​analytics[].​buttons[].​clicksnumberrequired

Number of times the button has been clicked.

templates[].​isMetaGeneratedbooleanrequired

Indicates if the template was auto-generated by Meta.

templates[].​whatsappIdstring
templates[].​statestring
Enum"APPROVED""DISABLED""PAUSED""REJECTED"
templates[].​rejectionCodestring

Rejection code if template is in status 'REJECTED'

Enum"ABUSIVE_CONTENT""INCORRECT_CATEGORY""INVALID_FORMAT""NONE""SCAM""UNRECOGNIZED"
templates[].​qualityScorestring

Quality score of the HSM.

Enum"QUALITY_SCORE_GREEN""QUALITY_SCORE_RED""QUALITY_SCORE_YELLOW""QUALITY_SCORE_UNKNOWN""UNRECOGNIZED"
templates[].​changesobject

Object containing changes on the template. If empty the changes has been approved and applied to the template.

templates[].​detailsobject

Template details and information.

previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response
application/json
{ "totalSize": 0, "pageSize": 0, "previousPageToken": "string", "nextPageToken": "string", "templates": [ {} ] }

Delete template by nameGA

Request

Delete template that matches the name.

If message templates with the same name exists in multiple languages, all those templates will also be deleted.
Once deleted the name can not be used for new message templates for 30 days. Use a different name to create future templates during that time period. Messages that have been sent with the deleted template, but not yet delivered, will be attempted to be deliver for 30 days from the time of the message.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

templateNamestringrequired

The unique name of the template.

curl -i -X DELETE \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Template(s) deleted

Response
No content

Get template in projectGA

Request

Returns a template for a project, with the specified name and language.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

templateNamestringrequired

The unique name of the template.

languageCodestring(WhatsappTemplateLanguagesEnum)required

The language code of the specific template.

Enum"AF""AR""AZ""BG""BN""CA""CS""DA""DE""EL"
Query
fieldMaskArray of strings(WhatsappTemplateDtoFieldMaskPathsEnum)

Field masks are a way for API callers to list the fields that a request should return.

Items Enum"whatsappId""state""name""language""category""rejectionCode""qualityScore""changes""changes.status""changes.allowCategoryChange"
templateAnalyticsDateRangestring(WhatsappTemplateAnalyticsDateRangesEnum)

The date range to retrieve template analytics for. Fallback to DAY if none is set.

Enum"DAY""MONTH""QUARTER""WEEK"
curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}?fieldMask=whatsappId&templateAnalyticsDateRange=DAY' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Template

Bodyapplication/json
One of:
namestringrequired
languagestringrequired
Enum"AF""AR""AZ""BG""BN""CA""CS""DA""DE""EL"
categorystringrequired
Enum"AUTHENTICATION""MARKETING""UTILITY""UNRECOGNIZED"
analyticsArray of objects(WhatsappTemplateAnalyticsDto)required

Template analytics.

analytics[].​sentnumberrequired

Number of times template has been sent.

analytics[].​deliverednumberrequired

Number of times template has been delivered.

analytics[].​readnumberrequired

Number of times template has been read.

analytics[].​startstringrequired

The UTC Date Time in ISO 8601 for start of date range.

analytics[].​endstringrequired

The UTC Date Time in ISO 8601 for end of date range.

analytics[].​buttonsArray of objects(WhatsappTemplateAnalyticsButtonsDto)required

Number of times buttons in the template has been clicked.

analytics[].​buttons[].​typestringrequired

Type of button.

Enum"QUICK_REPLY""UNIQUE_URL""URL""UNRECOGNIZED"
analytics[].​buttons[].​contentstringrequired

Content of the button.

analytics[].​buttons[].​clicksnumberrequired

Number of times the button has been clicked.

isMetaGeneratedbooleanrequired

Indicates if the template was auto-generated by Meta.

whatsappIdstring
statestring
Enum"APPROVED""DISABLED""PAUSED""REJECTED"
rejectionCodestring

Rejection code if template is in status 'REJECTED'

Enum"ABUSIVE_CONTENT""INCORRECT_CATEGORY""INVALID_FORMAT""NONE""SCAM""UNRECOGNIZED"
qualityScorestring

Quality score of the HSM.

Enum"QUALITY_SCORE_GREEN""QUALITY_SCORE_RED""QUALITY_SCORE_YELLOW""QUALITY_SCORE_UNKNOWN""UNRECOGNIZED"
changesobject

Object containing changes on the template. If empty the changes has been approved and applied to the template.

detailsobject

Template details and information.

Response
application/json
{ "whatsappId": "string", "state": "APPROVED", "name": "string", "language": "AF", "category": "AUTHENTICATION", "rejectionCode": "ABUSIVE_CONTENT", "qualityScore": "QUALITY_SCORE_GREEN", "changes": { "status": "DRAFT", "allowCategoryChange": true, "details": {} }, "details": { "components": [], "messageSendTtlSeconds": 0 }, "analytics": [ {} ], "isMetaGenerated": true }

Bundles

The bundles endpoint allows you to create and manage bundles of account resources.

Operations

KakaoTalk Categories

The KakaoTalk categories endpoint offers a way for you to manage all of the KakaoTalk template categories that you can use with the Conversation API.

Operations

KakaoTalk Senders

The KakaoTalk sender endpoint offers a way for you to manage your KakaoTalk senders that can be used with the Conversation API.

Operations

KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

Operations

Conversation

The Conversation endpoints allows you to retrieve information about channels used with Conversation API.

Operations

RCS Accounts

Operations

RCS Questionnaire

Operations

RCS Senders

Operations